summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGöktürk Yüksek <gokturk@gentoo.org>2019-03-12 22:19:20 -0400
committerGöktürk Yüksek <gokturk@gentoo.org>2019-03-12 22:20:14 -0400
commite3390ffe9f17e7d2e30aeeb3660cdf39fe3a888a (patch)
tree1b0fe22ffba1a761e4c901ad2d15c1d98026f3f1 /app-crypt
parentapp-crypt/yubikey-manager: bump to 2.1.0 (diff)
downloadgentoo-e3390ffe9f17e7d2e30aeeb3660cdf39fe3a888a.tar.gz
gentoo-e3390ffe9f17e7d2e30aeeb3660cdf39fe3a888a.tar.bz2
gentoo-e3390ffe9f17e7d2e30aeeb3660cdf39fe3a888a.zip
app-crypt/yubikey-manager-qt: bump to 1.1.1
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>
Diffstat (limited to 'app-crypt')
-rw-r--r--app-crypt/yubikey-manager-qt/Manifest1
-rw-r--r--app-crypt/yubikey-manager-qt/yubikey-manager-qt-1.1.1.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/app-crypt/yubikey-manager-qt/Manifest b/app-crypt/yubikey-manager-qt/Manifest
index cfe1a7f7541..67f19ffeff8 100644
--- a/app-crypt/yubikey-manager-qt/Manifest
+++ b/app-crypt/yubikey-manager-qt/Manifest
@@ -1,3 +1,4 @@
DIST yubikey-manager-qt-0.5.2.tar.gz 337194 BLAKE2B d6020116b9082671c039b521bbeebe7c1f0be022e233abbf8d6d788ea94e69e5f88aa3d6ec26a7b2edffa698327bb049e83ce54db2e0ba2ed1ad1dd536ab0961 SHA512 29265a10ae1dfe14dfdf4f1ba225516bf3bcbeb0115ca81696a4c5c506e957d6a99b0bb11a608e3175df99b8c04e8ae9250d5d42aab2b44b633d18fd2fc4c227
DIST yubikey-manager-qt-1.0.0.tar.gz 8038084 BLAKE2B 9e1082be62dab2d43bfad3050dd38dbcd10e5b8761bf567ba4f3e1b4627a25709cfa29ac7a23560fff76e0a75b4668932a407268c8d90d791c381ad485fea029 SHA512 2cf5f70b2734a7c0346649f5419dbee39bef9bb80bb498631d4879abc48d422d70468713a48945e284f2bdef20f3bb570a0ac5a4daab6c1ff195d86e39168843
DIST yubikey-manager-qt-1.1.0.tar.gz 10893455 BLAKE2B d83f76b83f35380377beb0e5c5b4a605049211685ff3ec44f60c909f8bc8f60dcd0868ad666bebce13e7c0459f604dd5d77cb1bd01035fe8584c019aacca39e8 SHA512 b54f1e6908b190ccb9273b906ace9ce2e1d189b794ba9b0ae00dbda4808b3f376b37c5f010ae06eaa63515af9b48698499f87780c59394f8b80f35d64d599c59
+DIST yubikey-manager-qt-1.1.1.tar.gz 10893572 BLAKE2B 22c37332601986495da8c70d9867dc04ad565ea06b38e219ed465586d741ddcb177ada9d5f74c04b46ddd2a5b7c445f05c3055ba1fd61e0696226541dbfb2bce SHA512 e1460abf024f045bffff2cf17a1b8fde2eb508b99957198d8de251315684c9fd591a93b3ad8063da2509ab7f054dce40a4267c1cc97c9dcc734ee18215070fe8
diff --git a/app-crypt/yubikey-manager-qt/yubikey-manager-qt-1.1.1.ebuild b/app-crypt/yubikey-manager-qt/yubikey-manager-qt-1.1.1.ebuild
new file mode 100644
index 00000000000..e8a772f902e
--- /dev/null
+++ b/app-crypt/yubikey-manager-qt/yubikey-manager-qt-1.1.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit eutils qmake-utils python-single-r1
+
+DESCRIPTION="Cross-platform application for configuring any YubiKey over all USB transports"
+HOMEPAGE="https://developers.yubico.com/yubikey-manager-qt https://github.com/Yubico/yubikey-manager-qt"
+SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=app-crypt/yubikey-manager-1.0.0[${PYTHON_USEDEP}]
+ <app-crypt/yubikey-manager-3.0.0[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/pyotherside[${PYTHON_USEDEP}]
+ dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgraphicaleffects:5
+ dev-qt/qtgui:5
+ dev-qt/qtquickcontrols:5[widgets]
+ dev-qt/qtquickcontrols2:5[widgets]
+ dev-qt/qtsingleapplication[qt5(+),X]
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+ default
+
+ sed -i -e "s/ykman-cli//" ${PN}.pro || die
+ sed -e "/CONFIG += c++11/a CONFIG += qtsingleapplication" \
+ -i ykman-gui/ykman-gui.pro || die
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_install() {
+ emake install INSTALL_ROOT="${D}"
+
+ domenu resources/ykman-gui.desktop
+ doicon -s 128 resources/icons/ykman.png
+ doicon -s scalable resources/icons/ykman.svg
+
+ einstalldocs
+}